Summary: A tool for printing multiple pages of text on each printed page.
Name: mpage
Version: 2.5.7
Release: 1
License: GPL
Group: Applications/Publishing
Source0: ftp://ftp.mesa.nl/pub/%{name}/%{name}-%{version}.tgz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: make

%description
The mpage utility takes plain text files or PostScript(TM) documents
as input, reduces the size of the text, and prints the files on a
PostScript printer with several pages on each sheet of paper. Mpage is
very useful for viewing large printouts without using up lots of
paper. Mpage supports many different layout options for the printed
pages.


%prep
%setup -q
%patch0


%build
gmake BINDIR=%{_bindir} LIBDIR=%{_datadir} MANDIR=%{_mandir}/man1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

gmake PREFIX=${RPM_BUILD_ROOT}%{_prefix} BINDIR=${RPM_BUILD_ROOT}%{_bindir} \
	LIBDIR=${RPM_BUILD_ROOT}%{_datadir} \
	MANDIR=${RPM_BUILD_ROOT}%{_mandir}/man1 \
	install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc CHANGES Copyright README NEWS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Wed Oct 31 2018 Michael Perzl <michael@perzl.org> - 2.5.7-1
- updated to version 2.5.7

* Mon May 19 2008 Michael Perzl <michael@perzl.org> - 2.5.6-1
- first version for AIX V5.1 and higher
